# Interface FolderProps

interface FolderProps {
_right: Rights;
_url: string;
dateCreation?: string;
dateModified?: string | null;
folderColor?: string;
id: number;
mainType: string;
parentURI?: string;
title: string;
type: string;
uri: string;
}

#### Hierarchy (View Summary)

- jObjectLittle
  - FolderProps

- Defined in jamespot-user-api/src/apis/filebank/filebank.ts:34

##### Index

### Properties

_right
_url
dateCreation?
dateModified?
folderColor?
id
mainType
parentURI?
title
type
uri

## Properties

### _right

_right: Rights

- Defined in jamespot-user-api/src/apis/filebank/filebank.ts:38

### _url

_url: string

Inherited from jObjectLittle._url

- Defined in jamespot-user-api/src/types/objectBase.ts:26

### `Optional` dateCreation

dateCreation?: string

Inherited from jObjectLittle.dateCreation

- Defined in jamespot-user-api/src/types/objectBase.ts:10

### `Optional` dateModified

dateModified?: string | null

Inherited from jObjectLittle.dateModified

- Defined in jamespot-user-api/src/types/objectBase.ts:11

### `Optional` folderColor

folderColor?: string

- Defined in jamespot-user-api/src/apis/filebank/filebank.ts:36

### id

id: number

Inherited from jObjectLittle.id

- Defined in jamespot-user-api/src/types/objectBase.ts:6

### mainType

mainType: string

Overrides jObjectLittle.mainType

- Defined in jamespot-user-api/src/apis/filebank/filebank.ts:35

### `Optional` parentURI

parentURI?: string

- Defined in jamespot-user-api/src/apis/filebank/filebank.ts:37

### title

title: string

Inherited from jObjectLittle.title

- Defined in jamespot-user-api/src/types/objectBase.ts:25

### type

type: string

Inherited from jObjectLittle.type

- Defined in jamespot-user-api/src/types/objectBase.ts:8

### uri

uri: string

Inherited from jObjectLittle.uri

- Defined in jamespot-user-api/src/types/objectBase.ts:9